libfprint/main.sh

31 lines
800 B
Bash
Raw Normal View History

2024-03-17 14:25:36 +01:00
#! /bin/bash
2024-07-28 13:25:59 +02:00
set -e
VERSION="1.94.7.git"
source ./pika-build-config.sh
echo "$PIKA_BUILD_ARCH" > pika-build-arch
2024-03-17 14:25:36 +01:00
# Clone Upstream
2024-07-28 13:25:59 +02:00
#git clone https://gitlab.freedesktop.org/libfprint/libfprint -b v"$VERSION"
git clone https://gitlab.freedesktop.org/libfprint/libfprint
cp -rvf ./debian ./libfprint/
cp -rvf ./egismoc-1c7a-0582.py ./libfprint/
cd ./libfprint/
2024-03-17 14:34:25 +01:00
for i in $(cat ../patches/series | grep -v '^#') ; do echo "Applying Patch: $i" && patch -Np1 -i ../patches/$i || bash -c "echo "Applying Patch $i Failed!" && exit 2"; done
2024-03-17 14:25:36 +01:00
# Get build deps
apt-get build-dep ./ -y
# Build package
2024-07-28 13:25:59 +02:00
LOGNAME=root dh_make --createorig -y -l -p libfprint_"$VERSION" || echo "dh-make: Ignoring Last Error"
2024-03-17 14:25:36 +01:00
dpkg-buildpackage --no-sign
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/